const db = require('../models');
const Item = db.items;

// GET - /item/{name}
exports.getItem = async function (req, res) {
  const item = await Item.findAll({ where: {
    id: req.params.id,
  }});

  res.render('item/view.twig', {
    item: item[0],
  });
};

// GET - /item/add
exports.getAdd = async function (req, res) {
  res.render('item/add.twig');
};

// POST - /item/add
exports.postAdd = async function (req, res) {
  const item = await Item.create({
    name: req.body.item_name,
    serialNumber: req.body.item_serial,
    skuNumber: req.body.item_sku,
    purchasedFrom: req.body.item_purchase_from,
    purchasedAt: req.body.item_purchase_date,
    manufacturer: req.body.item_manufacturer,
    type: req.body.item_type,
  });

  console.log(`Saved item ${item.name} to the database.`);

  res.redirect('/');
};
